package com.qy.worksheetsystem.entity;

import java.util.Date;

public class CTWORAttendanceType {
    private String FName_l1;
    private String FName_l2;
    private String FName_l3;
    private String FNumber;
    private String FDescription_l1;
    private String FDescription_l2;
    private String FDescription_l3;
    private String FSimpleName;
    private String FID;
    private String FCreatorID;
    private Date FCreateTime;
    private String FLastUpdateUserID;
    private Date FLastUpdateTime;
    private String FTreeID;
    private String FControlUnitID;
    private String CFAttendanceID;
    private String CFAttendanceName;

    public CTWORAttendanceType(String FNamel1, String FName_l2, String FName_l3, String FNumber, String FDescription_l1, String FDescription_l2, String FDescription_l3, String FSimpleName, String FID, String FCreatorID, Date FCreateTime, String FLastUpdateUserID, Date FLastUpdateTime, String FTreeID, String FControlUnitID, String CFAttendanceID, String CFAttendanceName) {
        this.FName_l1 = FNamel1;
        this.FName_l2 = FName_l2;
        this.FName_l3 = FName_l3;
        this.FNumber = FNumber;
        this.FDescription_l1 = FDescription_l1;
        this.FDescription_l2 = FDescription_l2;
        this.FDescription_l3 = FDescription_l3;
        this.FSimpleName = FSimpleName;
        this.FID = FID;
        this.FCreatorID = FCreatorID;
        this.FCreateTime = FCreateTime;
        this.FLastUpdateUserID = FLastUpdateUserID;
        this.FLastUpdateTime = FLastUpdateTime;
        this.FTreeID = FTreeID;
        this.FControlUnitID = FControlUnitID;
        this.CFAttendanceID = CFAttendanceID;
        this.CFAttendanceName = CFAttendanceName;
    }

    public CTWORAttendanceType() {
    }

    public String getFNamel1() {
        return FName_l1;
    }

    public void setFNamel1(String FNamel1) {
        this.FName_l1 = FNamel1;
    }

    public String getFName_l2() {
        return FName_l2;
    }

    public void setFName_l2(String FName_l2) {
        this.FName_l2 = FName_l2;
    }

    public String getFName_l3() {
        return FName_l3;
    }

    public void setFName_l3(String FName_l3) {
        this.FName_l3 = FName_l3;
    }

    public String getFNumber() {
        return FNumber;
    }

    public void setFNumber(String FNumber) {
        this.FNumber = FNumber;
    }

    public String getFDescription_l1() {
        return FDescription_l1;
    }

    public void setFDescription_l1(String FDescription_l1) {
        this.FDescription_l1 = FDescription_l1;
    }

    public String getFDescription_l2() {
        return FDescription_l2;
    }

    public void setFDescription_l2(String FDescription_l2) {
        this.FDescription_l2 = FDescription_l2;
    }

    public String getFDescription_l3() {
        return FDescription_l3;
    }

    public void setFDescription_l3(String FDescription_l3) {
        this.FDescription_l3 = FDescription_l3;
    }

    public String getFSimpleName() {
        return FSimpleName;
    }

    public void setFSimpleName(String FSimpleName) {
        this.FSimpleName = FSimpleName;
    }

    public String getFID() {
        return FID;
    }

    public void setFID(String FID) {
        this.FID = FID;
    }

    public String getFCreatorID() {
        return FCreatorID;
    }

    public void setFCreatorID(String FCreatorID) {
        this.FCreatorID = FCreatorID;
    }

    public Date getFCreateTime() {
        return FCreateTime;
    }

    public void setFCreateTime(Date FCreateTime) {
        this.FCreateTime = FCreateTime;
    }

    public String getFLastUpdateUserID() {
        return FLastUpdateUserID;
    }

    public void setFLastUpdateUserID(String FLastUpdateUserID) {
        this.FLastUpdateUserID = FLastUpdateUserID;
    }

    public Date getFLastUpdateTime() {
        return FLastUpdateTime;
    }

    public void setFLastUpdateTime(Date FLastUpdateTime) {
        this.FLastUpdateTime = FLastUpdateTime;
    }

    public String getFTreeID() {
        return FTreeID;
    }

    public void setFTreeID(String FTreeID) {
        this.FTreeID = FTreeID;
    }

    public String getFControlUnitID() {
        return FControlUnitID;
    }

    public void setFControlUnitID(String FControlUnitID) {
        this.FControlUnitID = FControlUnitID;
    }

    public String getCFAttendanceID() {
        return CFAttendanceID;
    }

    public void setCFAttendanceID(String CFAttendanceID) {
        this.CFAttendanceID = CFAttendanceID;
    }

    public String getCFAttendanceName() {
        return CFAttendanceName;
    }

    public void setCFAttendanceName(String CFAttendanceName) {
        this.CFAttendanceName = CFAttendanceName;
    }
}
